Index: aseba/CMakeModules/ParseVersion.cmake
===================================================================
--- aseba.orig/CMakeModules/ParseVersion.cmake
+++ aseba/CMakeModules/ParseVersion.cmake
@@ -55,6 +55,10 @@ endif (GIT_FOUND AND HAS_GIT_REP)
 ##########
 # default
 ##########
-message(STATUS "(svn / git executable not found OR not a svn / git repository) and no user version given, version is unknown.")
-file(WRITE ${CMAKE_BINARY_DIR}/version.h "#define ASEBA_BUILD_VERSION \"unknown\"\n")
+message(STATUS "For the Debian package, the version number is taken from debian/changelog")
+execute_process(COMMAND dpkg-parsechangelog --file ../debian/changelog --show-field Version
+  OUTPUT_VARIABLE DEBIAN_REV
+  OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+file(WRITE ${CMAKE_BINARY_DIR}/version.h "#define ASEBA_BUILD_VERSION \"${DEBIAN_REV}\"\n")
 
